package com.qihoo360.mobilesafe.reward.ui.page.dialog

import android.content.Context
import android.text.Html
import com.qihoo360.mobilesafe.reward.R
import com.qihoo360.mobilesafe.ui.common.dialog.CommonDialog

class RewardGuideLoginDialog(context: Context) :CommonDialog(context) {

    constructor(context: Context,listener: Listener?):this(context){
        setTitle(R.string.hongbao_guide_login_title)
        val content = "<font color='#318900'>登录后</font>才有机会获得最高<font color='#c40111'>200元</font>现金红包~\n不登录，没人爱( ^_^ )"
        mContentTxt.text = Html.fromHtml(content)
        setBtnCancelText(R.string.hongbao_guide_login_button_left)
        setBtnOkText(R.string.hongbao_guide_login_button_right)
        setBtnOkListener {
            dismiss()
            listener?.onBtnOpen()
        }
    }

    interface Listener{
         fun onBtnOpen()
    }
}

