package com.qihoo360.mobilesafe.reward.presenter.base

import android.os.Bundle
import com.qihoo360.mobilesafe.reward.base.BaseActivity
import com.qihoo360.mobilesafe.reward.presenter.view.IBaseView

abstract class BaseMVPActivity<T : BasePresenter<*>> : BaseActivity(),IBaseView{

    lateinit var mPresenter: T


    override  fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        initPresenter()
    }

    /**
     * 初始化presenter
     */
    open abstract fun initPresenter()
}