package com.qihoo360.mobilesafe.reward.container.toutiao

import android.content.Context
import android.content.Intent
import com.qihoo360.apullsdk.apull.protocol.ApullReportManager
import com.qihoo360.apullsdk.apull.protocol.model.ApullTemplateBase
import com.qihoo360.apullsdk.export.support.NewsExportArgsUtil
import com.qihoo360.i.Factory
import com.qihoo360.i.IPluginManager
import com.qihoo360.mobilesafe.reward.R
import com.qihoo360.mobilesafe.reward.RewardConstant
import com.qihoo360.mobilesafe.support.log.Logger
import kotlinx.android.synthetic.main.apullsdk_container_apull_toutiao_2606.view.*

class ContainerApullToutiao2607(context: Context, template: ApullTemplateBase?) : ContainerApullTouTiao2606(context, template) {

    override fun initView(template: ApullTemplateBase?) {
        inflate(context, R.layout.apullsdk_container_apull_toutiao_2606, this)
    }

    override fun addClickLister() {
        mRoot2606?.setOnClickListener {
            ApullReportManager.reportApullSspClick(context, mTemplateApullTouTiao)
            mTemplateApullTouTiao?.click_reported = false
            /**
             * 发送广播，进行try接口
             */
            val intentOne = Intent()
            intentOne.putExtra(RewardConstant.REWARD_AD_UNIQUE_ID,apullTouTiaoItem?.unique_id)
            intentOne.action = RewardConstant.ACTION_REWARD_TYPE_OPEN
            context.sendBroadcast(intentOne)

            /**
             * 调起激励视频
             */
            val intent = Intent()
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            Logger.d(TAG, "jumpRewardVideo")
            intent.putExtra(NewsExportArgsUtil.KEY_SCENE, template?.scene)
            intent.putExtra(NewsExportArgsUtil.KEY_SUBSCENE, template?.subscene)
            intent.putExtra(NewsExportArgsUtil.KEY_INITIAL_TEMPLATE,template?.toJson().toString())
            Factory.startActivity(context, intent,
                    "news", "com.qihoo360.newssdk.page.RewardVideoActivity", IPluginManager.PROCESS_AUTO)
        }
    }

    override fun debugColor() {
        if(Logger.bDebug()) {
            this.setBackgroundColor(resources.getColor(R.color.splashsdk_progress_bg_color))
        }
    }

    override fun updateText() {
        mAppName2606?.text = apullTouTiaoItem.appNameOrTitle
        mRewardBtn2606?.text = context.getText(R.string.get_hongbao)
    }
}